### org.jfree.layouting.layouter.content.computed

# Class ElementsToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.computed.ComputedToken`
  - - `org.jfree.layouting.layouter.content.computed.ElementsToken`

Implemented Interfaces:
  ContentToken

`public class ElementsToken`
`extends ComputedToken`

The elemnts function. This is a lookup to the current pending context. The elements function grabs the last value from the pending context and drops all previous elements. If the pending context is empty, it preserves its content. The elements get removed from the normal flow and get added to the pending flow. Due to the highly volatile nature of that step, no - I repeat - no validation is done to normalize inline and block elements.

Author:
  Thomas Morgner

  ## Constructor Summary

  `ElementsToken(String key)`

  ## Method Summary

  `String`

  `getKey()`

## Constructor Details

### ElementsToken

    public ElementsToken(String key)

## Method Details

### getKey

    public String getKey()